## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%if %{defined fedora}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           ansible-collection-ansible-windows
Version:        2.7.0
Release:        %autorelease
Summary:        Windows core collection for Ansible

License:        GPL-3.0-or-later
URL:            %{ansible_collection_url ansible windows}
Source:         https://github.com/ansible-collections/ansible.windows/archive/refs/tags/%{version}.tar.gz
# build_ignore development files, tests, and docs, downstream only
Patch:          build_ignore.patch

BuildArch:      noarch

BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif

%description
%{summary}.


%prep
%autosetup -p1 -n ansible.windows-%{version}
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find . -type f -empty ! -name __init__.py -print -delete


%build
%ansible_collection_build


%install
%ansible_collection_install


%check
%if %{with tests}
%ansible_test_unit
%endif


%files -f %{ansible_collection_filelist}
%license COPYING
%doc README.md CHANGELOG.rst docs/*


%changelog
## START: Generated by rpmautospec
* Wed Jan 22 2025 Daniel Milnes <daniel@daniel-milnes.uk> - 2.7.0-1
- Update to 2.7.0 rhbz#2339423

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 20 2024 Daniel Milnes <daniel@daniel-milnes.uk> - 2.5.0-1
- Initial import (fedora#2284256).
## END: Generated by rpmautospec
